<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	AtomAPI update entry
	====================
	
	Generate an atom entry from an atom entry.
	
	- summary in text/plain format
	- content in application/xhtml+xml format
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->
<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="no"/>

<xsl:param name="atomid" />
<xsl:param name="modified" />
<xsl:param name="issued" />

<xsl:template match="/">
	<entry>
		<title><xsl:value-of select="entry/title" /></title>
		
		<id><xsl:value-of select="$atomid" /></id>
		
		<issued><xsl:value-of select="$issued" /></issued>
		<modified><xsl:value-of select="$modified" /></modified>
		
		<summary><xsl:value-of select="entry/summary" /></summary>
		
		<content type="application/xhtml+xml" mode="xml">
			<xsl:copy-of select="entry/content/*"/>
		</content>
	</entry>
</xsl:template>

</xsl:stylesheet>