<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- output -->
<xsl:output method="text" encoding="utf-8" indent="no" omit-xml-declaration="yes"/>

<xsl:param name="varname" select="user" />
<xsl:param name="login" />
<xsl:param name="offset" select="0" />
<xsl:param name="quantity" select="10" />

<!-- templates -->
<xsl:template match="/">$<xsl:value-of select="$varname"/> = array(<xsl:apply-templates select="document(concat('../data/',$login,'/feed.xml'))/*" />);
</xsl:template>

<xsl:template match="feed">
	<xsl:for-each select="entry[position() &lt; (number($quantity)+number($offset)) * position() &gt; number($offset)]">
	"<xsl:value-of select="@id"/>"=><xsl:apply-templates select="document(concat('../data/',$login,'/',@id))/*" />
		<xsl:if test="not(position()=(number($quantity)+number($offset)-1)) * not(position() = last())">,</xsl:if>
	</xsl:for-each>
</xsl:template>

<xsl:template match="entry">
		array(
			"title"=>"<xsl:value-of select="translate(title,'&#34;','&#8220;')" />",
			"summary"=>"<xsl:value-of select="translate(summary,'&#34;','&#8220;')" />",
			"modified"=>"<xsl:value-of select="modified" />",
			"issued"=>"<xsl:value-of select="issued" />")
</xsl:template>

</xsl:stylesheet>