<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- date format : 2003-08-05T18:30:02Z -->
<xsl:template name="formatFullDate">
	<xsl:param name="lang" select="en" />
	<xsl:param name="date" />
	
	<!-- Année -->
	<xsl:variable name="annee">
		<xsl:value-of select="substring-before(substring-before($date,'T'),'-')" />
	</xsl:variable>
	
	<!-- Mois -->
	<xsl:variable name="mois">
		<xsl:value-of select="substring-before(substring-after(substring-before($date,'T'),'-'),'-')" />
	</xsl:variable>
	
	<!-- Jour -->
	<xsl:variable name="jour">
		<xsl:value-of select="substring-after(substring-after(substring-before($date,'T'),'-'),'-')" />
	</xsl:variable>
	
	<!-- Heure -->
	<xsl:variable name="heure">
		<xsl:value-of select="substring-before(substring-after($date,'T'),':')" />
	</xsl:variable>
	
	<!-- Minute -->
	<xsl:variable name="minute">
		<xsl:value-of select="substring-before(substring-after(substring-after($date,'T'),':'),':')" />
	</xsl:variable>
	
	<!-- Seconde -->
	<xsl:variable name="secondes">
		<xsl:value-of select="substring-before(substring-after(substring-after(substring-after($date,'T'),':'),':'),'Z')" />
	</xsl:variable>
	
	<xsl:value-of select="document('text.xml')/texts/text[lang($lang)]/the" />
	<xsl:text> </xsl:text>
	<xsl:value-of select="document('date.xml')/date/jour[lang($lang)]/n[number($jour)]" />
	<xsl:text> </xsl:text>
	<xsl:if test="document('date.xml')/date/jour[lang($lang)]/@suffix">
		<xsl:value-of select="document('date.xml')/date/jour[lang($lang)]/@suffix" />
		<xsl:text> </xsl:text>
	</xsl:if>
	<xsl:value-of select="document('date.xml')/date/mois[lang($lang)]/nom[number($mois)]" />
	<xsl:text> </xsl:text>
	<xsl:value-of select="$annee" />
	<xsl:text> </xsl:text>
	<xsl:value-of select="document('text.xml')/texts/text[lang($lang)]/at" />
	<xsl:text> </xsl:text>
	<xsl:value-of select="$heure" />
	<xsl:text>:</xsl:text>
	<xsl:value-of select="$minute" />
</xsl:template>

<!-- 2003/06 -->
<xsl:template name="formatDateArchive">
	<xsl:param name="lang" select="en" />
	<xsl:param name="date" />

	<!-- Année -->
	<xsl:variable name="annee">
		<xsl:value-of select="substring-before($date,'/')" />
	</xsl:variable>
	
	<!-- Mois -->
	<xsl:variable name="mois">
		<xsl:value-of select="substring-after($date,'/')" />
	</xsl:variable>
	
	<xsl:value-of select="document('date.xml')/date/mois[lang($lang)]/nom[number($mois)]" />
	<xsl:text> </xsl:text>
	<xsl:value-of select="$annee" />
</xsl:template>

</xsl:stylesheet>