﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml">
<!--
	XHTML entry
	===========
	
	Display an entry
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->
<xsl:import href="templates/date.xsl" />
<xsl:import href="templates/xhtml.xsl" />

<xsl:output
	method="xml"
	encoding="utf-8"
	indent="yes"
	omit-xml-declaration="no"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
	doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"/>

<xsl:param name="login" />
<xsl:param name="id" />

<xsl:template match="/">
	<html>
	<xsl:attribute name="xml:lang">
		<xsl:value-of select="//user[@login = $login]/@xml:lang"/>
	</xsl:attribute>
	<head>
		<xsl:call-template name="head">
			<xsl:with-param name="title" select="concat(document(concat('../data/',$login,'/',$id))/entry/title,' - ',//user[@login = $login]/name)" />
		</xsl:call-template>
		<link rel="service.edit" type="application/x.atom+xml">
			<xsl:attribute name="href">
				<xsl:text>/atom/</xsl:text>
				<xsl:value-of select="$login" />
				<xsl:text>/</xsl:text>
				<xsl:value-of select="substring-before($id,'_')"/>
				<xsl:text>/</xsl:text>
				<xsl:value-of select="substring-before(substring-after($id,'_'),'.')"/>
				<xsl:text>.xml</xsl:text>
			</xsl:attribute>
		</link>
		<xsl:call-template name="services">
			<xsl:with-param name="login" select="$login" />
		</xsl:call-template>
	</head>
	<body>
		<div id="header">
			<xsl:call-template name="header_info">
				<xsl:with-param name="login" select="$login"/>
				<xsl:with-param name="user" select="//user[@login = $login]"/>
				<xsl:with-param name="lang" select="//user[@login = $login]/@xml:lang"/>
			</xsl:call-template>
		</div>
		<div id="page">
			<xsl:apply-templates select="document(concat('../data/',$login,'/feed.xml'))/*" mode="entry" />
		</div>
		<div id="archives">
			<xsl:call-template name="archives">
				<xsl:with-param name="login" select="$login"/>
				<xsl:with-param name="feed" select="document(concat('../data/',$login,'/feed.xml'))/*"/>
				<xsl:with-param name="lang" select="//users/user[@login = $login]/@xml:lang"/>
			</xsl:call-template>
		</div>
		<div id="footer">
			<p><a href="/">a(tom)Blog</a> | by Yoan BLANC</p>
		</div>
	</body>
	</html>
</xsl:template>

<!-- display entries full mode -->
<xsl:template match="feed" mode="entry">
	<xsl:call-template name="xhtml-fullentry">
		<xsl:with-param name="id" select="$id" />
		<xsl:with-param name="entry" select="document(concat('../data/',$login,'/',$id))/*" />
	</xsl:call-template>
</xsl:template>

</xsl:stylesheet>