<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="no"/>

<xsl:param name="login" />
<xsl:param name="id" />

<xsl:template match="/">
<entry>
	<author>
		<xsl:apply-templates select="//user[@login = $login]" />
	</author>
	<link rel="alternate" type="text/html">
		<xsl:attribute name="href">
			<xsl:text>http://at.om/atom/</xsl:text>
			<xsl:value-of select="$login" />
			<xsl:text>/</xsl:text>
			<xsl:value-of select="substring-before($id,'_')"/>
			<xsl:text>/</xsl:text>
			<xsl:value-of select="substring-before(substring-after($id,'_'),'.')"/>
			<xsl:text>.html</xsl:text>
		</xsl:attribute>
	</link>
	<xsl:apply-templates select="document(concat('../data/',$login,'/',$id))/*" mode="entry" />
</entry>
</xsl:template>

<xsl:template match="user">
	<xsl:copy-of select="*" />
</xsl:template>

<xsl:template match="entry" mode="entry">
	<xsl:copy-of select="*" />
</xsl:template>

</xsl:stylesheet>