<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://purl.org/atom/ns#">
<!--

	XML-FEED
	========
	
	Build an atom feed (0.3) with the ten last entries (could be change with offset/quantity).
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625

-->
<xsl:import href="templates/atom.xml"/>

<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="no"/>

<!-- user name -->
<xsl:param name="login" />
<!-- the first entry -->
<xsl:param name="offset" select="0" />
<!-- entries' quantity for the feed -->
<xsl:param name="quantity" select="10" />

<xsl:template match="/">
<feed version="0.3">
<xsl:attribute name="xml:lang">
	<!--
		feed header
	-->
	<xsl:value-of select="//user[@login = $login]/@xml:lang"/>
</xsl:attribute>
	<!-- title of the feed is the name of the user -->
	<title><xsl:value-of select="//user[@login = $login]/name"/></title>
	<author>
		<name>
			<xsl:value-of select="//user[@login = $login]/name" />
		</name>
	</author>
	<link rel="alternate" type="text/html">
		<xsl:attribute name="href">
			<xsl:value-of select="document('../data/users.xml')/users/user[@login = $login]/url"/>
		</xsl:attribute>
	</link>
	<modified><xsl:value-of select="document(concat('../data/',$login,'/',document(concat('../data/',$login,'/feed.xml'))/feed/entry[position() = 1]/@id))/entry/modified"/></modified>
	<!-- the entries -->
	<xsl:apply-templates select="document(concat('../data/',$login,'/feed.xml'))/*" />
</feed>
</xsl:template>
<!--
	match a feed and process every entry from "offset" to "offset + quantity"
-->
<xsl:template match="feed">
	<xsl:for-each select="entry[position() &lt; ($quantity+$offset) * position() &gt; $offset]">
		<xsl:call-template name="xml-entry">
			<xsl:with-param name="entry" select="document(concat('../data/',$login,'/',@id))/*" />
			<xsl:with-param name="login" select="$login" />
			<xsl:with-param name="id" select="@id" />
		</xsl:call-template>
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>